CMSIS-DSP: arm_fir_decimate_instance_q15 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_decimate_instance_q15 Struct Reference

Instance structure for the Q15 FIR decimator.

## Data Fields

uint8_t | M
uint16_t | numTaps
const q15_t * | pCoeffs
q15_t * | pState

## Field Documentation

uint8_t M

decimation factor.

uint16_t numTaps

number of coefficients in the filter.

const q15_t* pCoeffs

points to the coefficient array. The array is of length numTaps.

q15_t* pState

points to the state variable array. The array is of length numTaps+blockSize-1.